import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-25 10:22
 */
export interface TAppUserMode{
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * app编码
    * @type { string }
    */
    appcode?: string;
    /**
    * app名称
    * @type { string }
    */
    appname?: string;
    /**
    * APP密钥
    * @type { string }
    */
    appkey?: string;
    /**
    * app的查询车场id权限，车场ID以“,”分割；0：表示全部车场
    * @type { string }
    */
    applotids?: string;
    /**
    * 
    * @type { number }
    */
    isfilt?: number;
    /**
    * 0:未审核 1：启用 2:禁用 3：删除
    * @type { number }
    */
    state?: number;
}
export class TAppUserModeMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get APPCODE(): FieldInfo{  
        return new FieldInfo('appcode','app编码');
    }
    static get APPNAME(): FieldInfo{  
        return new FieldInfo('appname','app名称');
    }
    static get APPKEY(): FieldInfo{  
        return new FieldInfo('appkey','APP密钥');
    }
    static get APPLOTIDS(): FieldInfo{  
        return new FieldInfo('applotids','app的查询车场id权限，车场ID以“,”分割；0：表示全部车场');
    }
    static get ISFILT(): FieldInfo{  
        return new FieldInfo('isfilt','');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','0:未审核 1：启用 2:禁用 3：删除');
    }
}


